Bug 64863 - Installer crashes after starting X server and gives traceback errors
Installer crashes after starting X server and gives traceback errors
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-13 14:05 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-20 18:34:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dump Message (40.28 KB, text/plain)
2002-05-13 14:06 EDT, Need Real Name
no flags Details
New Trackback Errors (40.62 KB, text/plain)
2002-05-13 16:57 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-05-13 14:05:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
See attachment...We created a CD-ROM that includes all the packages we need on 
one CD-ROM instead of three. On my Linux machine, I installed anaconda source 
code and ran the genhdlist command to make everything flush....but I am not 
sure if it all worked. If you need more information, let me know. Thanks.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Restart the computer.
2. Put floppy boot disk in.
3. Error message comes up.
	

Additional info:
Comment 1 Need Real Name 2002-05-13 14:06:01 EDT
Created attachment 57125 [details]
Dump Message
Comment 2 Michael Fulbright 2002-05-13 14:42:07 EDT
Did you edit the comps file to remove the packages you'd removed from the CDs?
Comment 3 Need Real Name 2002-05-13 16:53:23 EDT
After editing the comps file....it came up with even more errors....Here is the 
attached file...I am looking at whether the genhdlist command was done 
correctly...what is the correct way to use that command?....all the RPMs that I 
need are in the /RedHat/RPMS directory...Thanks!
Comment 4 Need Real Name 2002-05-13 16:57:33 EDT
Created attachment 57147 [details]
New Trackback Errors
Comment 5 Michael Fulbright 2002-05-14 16:15:09 EDT
I believe you may have removed too many packages. It is not easy to trim the
distribution down. Lots of packages depend on other packages.

Anyway if you get a traceback like:

File "/usr/lib/anaconda/comps.py", line 153, in __getitem__
    return self.packages[item]
KeyError: gdbm

that means the comps file is referring to a package called 'gdbm' which is not
present in the RedHat/RPMS directory.  You need to either put the package back,
or remove the reference from the comps file.


Comment 6 Need Real Name 2002-05-17 13:17:12 EDT
OK...I have been following the process outlined in the response given here: 
http://www.redhat.com/mailing-lists/ia64-list/msg00882.html ....very helpful!
I kept my comps file with all rpms listed and not removing any lines from it. I 
ran genhdlist and then pkgorder with the tee and I receive the following lines:

File "/usr/lib/anaconda-runtime/pkgorder", line 14 in ?
   import comps
File "/usr/lib/anaconda/comps.py", line 22 in ?
   from translate import _, N_
File "/usr/lib/anaconda/translate.py", line 16 in ?
   import gettext_rh
File "/usr/lib/anaconda/gettext_rh.py", line 43 in ?
   import os, string, iutil, gzread
File "/usr/lib/anaconda/iutil.py", line 16 in ?
   import types, os, sys, isys, select, string, stat, signal
Import error:No module named isys

How do I import these missing files where they need to be, if that is what I am 
supposed to do? Do I really need to remove the references of any unused RPMS in 
the comps file, even after altering my RPMS directory? Thanks for all your help 
in advance!
Comment 7 Michael Fulbright 2002-06-12 12:38:49 EDT
We certainly cannot support or recommend the following link, but I provide it
for your information:

	http://www.linuxworks.com.au/redhat-installer-howto.html

Good luck!

Note You need to log in before you can comment on or make changes to this bug.